Delete Integration
curl --request DELETE \
--url https://gateway.jelou.ai/platform/v1/external-support/{projectId} \
--header 'x-api-key: <api-key>'import requests
url = "https://gateway.jelou.ai/platform/v1/external-support/{projectId}"
headers = {"x-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://gateway.jelou.ai/platform/v1/external-support/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": [
"Integration deleted successfully."
],
"statusMessage": "success",
"status": 1
}{
"message": "<string>",
"statusMessage": "<string>",
"status": 123,
"error": {
"code": "<string>",
"key": "<string>",
"description": "<string>",
"developerMessages": {},
"clientMessages": {}
},
"validationError": {}
}{
"message": "<string>",
"statusMessage": "<string>",
"status": 123,
"error": {
"code": "<string>",
"key": "<string>",
"description": "<string>",
"developerMessages": {},
"clientMessages": {}
},
"validationError": {}
}Integration
Delete integration
Delete your external support panel integration
DELETE
/
v1
/
external-support
/
{projectId}
Delete Integration
This action is irreversible. Deleting the integration will cause Jelou to stop sending events to your webhook. To integrate again, you will need to create a new integration.
Description
Deletes the integration between Jelou and your external support panel for the specified project. Once deleted, Jelou will stop sending events to the configured webhook.Endpoint
DELETE https://gateway.jelou.ai/platform/v1/external-support/{projectId}
Path parameters
string
required
Unique identifier of the Jelou project whose integration you want to delete.
Authentication
All requests must include thex-api-key header with your Jelou project API key.
x-api-key: API_KEY
Request example
The following example deletes the integration for projectPROJECT_ID. No request body is sent:
cURL
curl --request DELETE \
--url https://gateway.jelou.ai/platform/v1/external-support/PROJECT_ID \
--header 'x-api-key: API_KEY'
Responses
| Code | Status | Description |
|---|---|---|
| 200 | OK | Integration deleted successfully. |
| 401 | Unauthorized | Invalid or missing authentication credentials. |
| 404 | Not Found | No integration exists for the specified projectId. |
| 500 | Internal Server Error | Internal server error. |
Response example
{
"message": [
"Integration deleted successfully"
],
"statusMessage": "success",
"status": 1
}
Authorizations
API key del proyecto de Jelou
Path Parameters
Unique identifier of the Jelou project
Was this page helpful?
⌘I